
From: Adrian Bunk <bunk@stusta.de>

the patch below makes the following cleanups under drivers/media/radio/ :
- remove two unused global variables
- make some needlessly global code static

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/radio/radio-aimslab.c   |    4 ++--
 25-akpm/drivers/media/radio/radio-cadet.c     |    4 ++--
 25-akpm/drivers/media/radio/radio-gemtek.c    |    2 +-
 25-akpm/drivers/media/radio/radio-maestro.c   |    4 ++--
 25-akpm/drivers/media/radio/radio-maxiradio.c |    4 ++--
 25-akpm/drivers/media/radio/radio-terratec.c  |    2 +-
 25-akpm/drivers/media/radio/radio-zoltrix.c   |    4 ++--
 7 files changed, 12 insertions(+), 12 deletions(-)

diff -puN drivers/media/radio/radio-aimslab.c~small-drivers-media-radio-cleanups-fwd drivers/media/radio/radio-aimslab.c
--- 25/drivers/media/radio/radio-aimslab.c~small-drivers-media-radio-cleanups-fwd	2004-11-28 01:19:34.544594056 -0800
+++ 25-akpm/drivers/media/radio/radio-aimslab.c	2004-11-28 01:19:34.556592232 -0800
@@ -130,7 +130,7 @@ static int rt_setvol(struct rt_device *d
  * and bit 4 (+16) is to keep the signal strength meter enabled
  */
 
-void send_0_byte(int port, struct rt_device *dev)
+static void send_0_byte(int port, struct rt_device *dev)
 {
 	if ((dev->curvol == 0) || (dev->muted)) {
 		outb_p(128+64+16+  1, port);   /* wr-enable + data low */
@@ -143,7 +143,7 @@ void send_0_byte(int port, struct rt_dev
 	sleep_delay(1000); 
 }
 
-void send_1_byte(int port, struct rt_device *dev)
+static void send_1_byte(int port, struct rt_device *dev)
 {
 	if ((dev->curvol == 0) || (dev->muted)) {
 		outb_p(128+64+16+4  +1, port);   /* wr-enable+data high */
diff -puN drivers/media/radio/radio-cadet.c~small-drivers-media-radio-cleanups-fwd drivers/media/radio/radio-cadet.c
--- 25/drivers/media/radio/radio-cadet.c~small-drivers-media-radio-cleanups-fwd	2004-11-28 01:19:34.546593752 -0800
+++ 25-akpm/drivers/media/radio/radio-cadet.c	2004-11-28 01:19:34.557592080 -0800
@@ -46,7 +46,7 @@ static int curtuner=0;
 static int tunestat=0;
 static int sigstrength=0;
 static wait_queue_head_t read_queue;
-struct timer_list tunertimer,rdstimer,readtimer;
+static struct timer_list readtimer;
 static __u8 rdsin=0,rdsout=0,rdsstat=0;
 static unsigned char rdsbuf[RDS_BUFFER];
 static spinlock_t cadet_io_lock;
@@ -280,7 +280,7 @@ static void cadet_setvol(int vol)
 	spin_unlock(&cadet_io_lock);
 }  
 
-void cadet_handler(unsigned long data)
+static void cadet_handler(unsigned long data)
 {
 	/*
 	 * Service the RDS fifo
diff -puN drivers/media/radio/radio-gemtek.c~small-drivers-media-radio-cleanups-fwd drivers/media/radio/radio-gemtek.c
--- 25/drivers/media/radio/radio-gemtek.c~small-drivers-media-radio-cleanups-fwd	2004-11-28 01:19:34.547593600 -0800
+++ 25-akpm/drivers/media/radio/radio-gemtek.c	2004-11-28 01:19:34.557592080 -0800
@@ -127,7 +127,7 @@ static int gemtek_setfreq(struct gemtek_
 	return 0;
 }
 
-int gemtek_getsigstr(struct gemtek_device *dev)
+static int gemtek_getsigstr(struct gemtek_device *dev)
 {
 	spin_lock(&lock);
 	inb(io);
diff -puN drivers/media/radio/radio-maestro.c~small-drivers-media-radio-cleanups-fwd drivers/media/radio/radio-maestro.c
--- 25/drivers/media/radio/radio-maestro.c~small-drivers-media-radio-cleanups-fwd	2004-11-28 01:19:34.548593448 -0800
+++ 25-akpm/drivers/media/radio/radio-maestro.c	2004-11-28 01:19:34.557592080 -0800
@@ -256,12 +256,12 @@ MODULE_AUTHOR("Adam Tlalka, atlka@pg.gda
 MODULE_DESCRIPTION("Radio driver for the Maestro PCI sound card radio.");
 MODULE_LICENSE("GPL");
 
-void __exit maestro_radio_exit(void)
+static void __exit maestro_radio_exit(void)
 {
 	video_unregister_device(&maestro_radio);
 }
 
-int __init maestro_radio_init(void)
+static int __init maestro_radio_init(void)
 {
 	register __u16 found=0;
 	struct pci_dev *pcidev = NULL;
diff -puN drivers/media/radio/radio-maxiradio.c~small-drivers-media-radio-cleanups-fwd drivers/media/radio/radio-maxiradio.c
--- 25/drivers/media/radio/radio-maxiradio.c~small-drivers-media-radio-cleanups-fwd	2004-11-28 01:19:34.550593144 -0800
+++ 25-akpm/drivers/media/radio/radio-maxiradio.c	2004-11-28 01:19:34.558591928 -0800
@@ -335,12 +335,12 @@ static struct pci_driver maxiradio_drive
 	.remove		= __devexit_p(maxiradio_remove_one),
 };
 
-int __init maxiradio_radio_init(void)
+static int __init maxiradio_radio_init(void)
 {
 	return pci_module_init(&maxiradio_driver);
 }
 
-void __exit maxiradio_radio_exit(void)
+static void __exit maxiradio_radio_exit(void)
 {
 	pci_unregister_driver(&maxiradio_driver);
 }
diff -puN drivers/media/radio/radio-terratec.c~small-drivers-media-radio-cleanups-fwd drivers/media/radio/radio-terratec.c
--- 25/drivers/media/radio/radio-terratec.c~small-drivers-media-radio-cleanups-fwd	2004-11-28 01:19:34.551592992 -0800
+++ 25-akpm/drivers/media/radio/radio-terratec.c	2004-11-28 01:19:34.558591928 -0800
@@ -175,7 +175,7 @@ static int tt_setfreq(struct tt_device *
   	return 0;
 }
 
-int tt_getsigstr(struct tt_device *dev)		/* TODO */
+static int tt_getsigstr(struct tt_device *dev)		/* TODO */
 {
 	if (inb(io) & 2)	/* bit set = no signal present	*/
 		return 0;
diff -puN drivers/media/radio/radio-zoltrix.c~small-drivers-media-radio-cleanups-fwd drivers/media/radio/radio-zoltrix.c
--- 25/drivers/media/radio/radio-zoltrix.c~small-drivers-media-radio-cleanups-fwd	2004-11-28 01:19:34.552592840 -0800
+++ 25-akpm/drivers/media/radio/radio-zoltrix.c	2004-11-28 01:19:34.559591776 -0800
@@ -169,7 +169,7 @@ static int zol_setfreq(struct zol_device
 
 /* Get signal strength */
 
-int zol_getsigstr(struct zol_device *dev)
+static int zol_getsigstr(struct zol_device *dev)
 {
 	int a, b;
 
@@ -194,7 +194,7 @@ int zol_getsigstr(struct zol_device *dev
  	return (0);
 }
 
-int zol_is_stereo (struct zol_device *dev)
+static int zol_is_stereo (struct zol_device *dev)
 {
 	int x1, x2;
 
_
